{
	"@metadata": {
		"authors": [
			"01miki10",
			"4shadoww",
			"Beluga",
			"Centerlink",
			"Crt",
			"Cxz",
			"Elseweyr",
			"Jaakkoh",
			"Lliehu",
			"MITO",
			"McSalama",
			"Mikahama",
			"Moottori",
			"Nike",
			"Nwme",
			"Olimar",
			"Olli",
			"Pyscowicz",
			"Rönttönen",
			"SMAUG",
			"Silvonen",
			"Str4nd",
			"Stryn",
			"SuperPete",
			"Surjection",
			"Syreeni",
			"Uusijani",
			"Veikk0.ma",
			"VezonThunder",
			"아라",
			"GtrxAC",
			"Samoasambia"
		]
	},
	"config-desc": "Asennin MediaWikiä varten",
	"config-title": "MediaWikin version $1 asennus",
	"config-information": "Tiedot",
	"config-localsettings-upgrade": "<code>LocalSettings.php</code>-tiedosto havaittiin.\nKirjoita muuttujan <code>$wgUpgradeKey</code> arvo alla olevaan kenttään päivittääksesi asennuksen.\nLöydät sen <code>LocalSettings.php</code>-tiedostosta.",
	"config-localsettings-cli-upgrade": "<code>LocalSettings.php</code>-tiedosto havaittiin.\nPäivitä asennus suorittamalla <code>update.php</code>.",
	"config-localsettings-key": "Päivitysavain",
	"config-localsettings-badkey": "Antamasi päivitysavain on virheellinen.",
	"config-upgrade-key-missing": "Havaittiin aiempi MediaWiki-asennus.\nPäivittääksesi tämän asennuksen lisää <code>LocalSettings.php</code>-tiedostosi loppuun seuraava rivi:\n\n$1",
	"config-localsettings-incomplete": "Nykyinen <code>LocalSettings.php</code>-tiedosto näyttää olevan puutteellinen.\nMuuttujaa $1 ei ole asetettu.\nMuuta <code>LocalSettings.php</code>-tiedostoa siten, että muuttuja on asetettu ja napsauta »{{int:Config-continue}}».",
	"config-localsettings-connection-error": "Yhteyden muodostaminen tietokantaan epäonnistui tiedostossa <code>LocalSettings.php</code> olevien asetusten takia. Korjaa asetukset ja yritä uudelleen.\n\n$1",
	"config-session-error": "Istunnon aloittaminen epäonnistui: $1",
	"config-session-expired": "Istuntotietosi näyttävät olevan vanhentuneita.\nIstuntojen elinajaksi on määritelty $1.\nVoit muuttaa tätä asetusta vaihtamalla kohtaa <code>session.gc_maxlifetime</code> php.ini-tiedostossa.\nKäynnistä asennusprosessi uudelleen.",
	"config-no-session": "Istuntosi tiedot menetettiin!\nTarkista php.ini-tiedostosi ja varmista, että <code>session.save_path</code> on asetettu sopivaan kansioon.",
	"config-your-language": "Kielesi:",
	"config-your-language-help": "Valitse kieli, jota haluat käyttää asennuksen ajan.",
	"config-wiki-language": "Wikin kieli",
	"config-wiki-language-help": "Valitse kieli, jota wikissä tullaan etupäässä käyttämään.",
	"config-back": "← Takaisin",
	"config-continue": "Jatka →",
	"config-page-language": "Kieli",
	"config-page-welcome": "Tervetuloa MediaWikiin!",
	"config-page-dbconnect": "Tietokantaan yhdistäminen",
	"config-page-upgrade": "Olemassa olevan asennuksen päivitys",
	"config-page-dbsettings": "Tietokannan asetukset",
	"config-page-name": "Nimi",
	"config-page-options": "Asetukset",
	"config-page-install": "Asenna",
	"config-page-complete": "Valmis!",
	"config-page-restart": "Aloita asennus alusta",
	"config-page-releasenotes": "Julkaisutiedot",
	"config-page-copying": "Kopiointi",
	"config-page-upgradedoc": "Päivittäminen",
	"config-page-existingwiki": "Aikaisempi asennus",
	"config-help-restart": "Haluatko poistaa kaikki annetut tiedot ja aloittaa asennuksen alusta?",
	"config-restart": "Kyllä",
	"config-welcome": "MediaWiki on vapaa, avoimen lähdekoodin wikiohjelmistopaketti, joka on kirjoitettu PHP:llä. Se toimii alustana Wikipedialle ja muille Wikimedian hankkeille, joita sadat miljoonat ihmiset käyttävät kuukausittain. MediaWiki on käännetty yli 350 kielelle, ja sen luotettavuus sekä vankat ominaisuusjoukot ovat ansainneet sille suuren ja eloisan yhteisön kolmansien osapuolten käyttäjiä ja kehittäjiä.\n=== Ympäristötarkastukset ===\nPerustarkastaksut suoritetaan nyt sen selvittämiseksi, sopiiko tämä ympäristö MediaWikin asennukseen.\nMuista sisällyttää nämä tiedot, jos etsit tukea asennuksen suorittamiseen.",
	"config-welcome-section-copyright": "=== Tekijänoikeudet ja käyttöehdot ===\n\n$1\n\nTämä ohjelma on vapaa ohjelmisto; voit levittää sitä ja/tai muokata sitä Free Software Foundationin GNU General Public Licensen ehdoilla, joko version 2 tai (halutessasi) minkä tahansa myöhemmän version mukaisesti.\n\nTätä ohjelmaa levitetään siinä toivossa, että se olisi hyödyllinen, mutta <strong>ilman mitään takuuta</strong>; ilman edes hiljaista takuuta <strong>kaupallisesti hyväksyttävästä laadusta</strong> tai <strong>soveltuvuudesta tiettyyn tarkoitukseen.</strong>\nKatso GNU General Public Licensestä lisää yksityiskohtia.\n\nSinun olisi pitänyt saada [$2 kopio GNU General Public Licensestä] tämän ohjelman mukana; jos et, kirjoita siitä osoitteeseen Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA tai [https://www.gnu.org/copyleft/gpl.html lue se verkossa].",
	"config-sidebar": "* [https://www.mediawiki.org MediaWikin kotisivu]\n* [https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents Käyttöopas]\n* [https://www.mediawiki.org/wiki/Special:MyLanguage/Manual:Contents Hallintaopas]\n* [https://www.mediawiki.org/wiki/Special:MyLanguage/Manual:FAQ UKK]\n* [https://www.mediawiki.org/wiki/Special:MyLanguage/Communication Etsi apua]\n* [https://phabricator.wikimedia.org/ Bug tracker]\n* [https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute Osallistu]",
	"config-sidebar-relnotes": "Julkaisutiedot",
	"config-sidebar-license": "Kopiointi",
	"config-sidebar-upgrade": "Päivittäminen",
	"config-env-good": "Asennusympäristö on tarkastettu.\nVoit asentaa MediaWikin.",
	"config-env-bad": "Asennusympäristö on tarkastettu.\nEt voi asentaa MediaWikiä.",
	"config-env-php": "PHP $1 on asennettu.",
	"config-unicode-using-intl": "Käyttää [https://php.net/manual/en/book.intl.php PHP intl -laajennusta] Unicode-normalisaatioon.",
	"config-no-db": "Sopivaa tietokanta-ajuria ei löytynyt! Sinun täytyy asentaa tietokanta-ajuri PHP:lle.\n{{PLURAL:$2|Seuraava tietokantatyyppi on tuettu|Seuraavat tietokantatyypit ovat tuettuja}}: $1.\n\nJos koostit PHP:n itse, määritä se uudelleen tietokanta-asiakkaan ollessa käytössä, esimerkiksi koodilla <code>./configure --with-mysqli</code>.\nJos asensit PHP:n Debian- tai Ubuntu-pakkauksesta, sinun on myös asennettava esimerkiksi <code>php-mysql</code>-pakkaus.",
	"config-outdated-sqlite": "<strong>Varoitus:</strong> sinulla on käytössä SQLite $2, joka on vanhempi kuin vähintään vaadittava versio $1. SQLite ei ole saatavilla.",
	"config-no-fts3": "<strong>Varoitus:</strong> SQLite on koostettu ilman [//sqlite.org/fts3.html FTS3-moduulia], hakuominaisuudet eivät ole käytössä tässä taustajärjestelmässä.",
	"config-pcre-old": "<strong>Tärkeää:</strong> PCRE $1 tai uudempi versio tarvitaan.\nPHP-binäärisi on linkitetty versiolla PCRE $2.\n[https://www.mediawiki.org/wiki/Special:MyLanguage/Manual:Errors_and_symptoms/PCRE Lisätietoja].",
	"config-pcre-no-utf8": "<strong>Vakava virhe:</strong> PHP:n PCRE-moduuli näyttää olevan koottu ilman PCRE_UTF8-tukea.\nMediaWiki edellyttää UTF-8-tukea toimiakseen oikein.",
	"config-memory-raised": "PHP:n <code>memory_limit</code> on $1, nostetaan arvoon $2.",
	"config-memory-bad": "'''Varoitus:''' PHP:n <code>memory_limit</code> on $1.\nTämä on luultavasti liian alhainen.\nAsennus saattaa epäonnistua!",
	"config-apc": "[https://www.php.net/apc APC] on asennettu",
	"config-apcu": "[https://www.php.net/apcu APCu] on asennettu",
	"config-wincache": "[https://www.iis.net/downloads/microsoft/wincache-extension WinCache] on asennettu",
	"config-no-cache-apcu": "<strong>Warning:</strong> [https://www.php.net/apcu APCu:ta] tai [https://www.iis.net/downloads/microsoft/wincache-extension WinCache:a] ei löytynyt. Objektien välimuisti ei ole käytössä.",
	"config-diff3-bad": "GNU diff3 -tekstinvertailutyökalua ei löytynyt. Voit sivuuttaa tämän viestin toistaiseksi, mutta päällekkäisiä muutoksia saattaa tapahtua useammin.",
	"config-git": "Löydetty Git-versionhallintaohjelmisto: <code>$1</code>",
	"config-git-bad": "Git-versionhallintaohjelmistoa ei löytynyt. Voit sivuuttaa tämän viestin toistaiseksi. Huom.: Special:Version ei tule näyttämään versiotiivisteitä.",
	"config-imagemagick": "Löydettiin ImageMagick: <code>$1</code>.\nKuvien esikatselukuvat otetaan samalla käyttöön jos otetaan tiedostojen tallennus.",
	"config-gd": "Löydettiin sisäänrakennettu GD-grafiikkakirjasto.\nKuvista luodaan esikatseluversiot automaattisesti, jos otat käyttöön tiedostojen lähettämisen.",
	"config-no-scaling": "GD-kirjastoa tai ImageMagick-ohjelmaa ei löydy. \nKuvista ei luoda esikatseluversioita.",
	"config-no-uri": "Virhe: Tämänhetkistä URIa ei tunnisteta. Asennus keskeytetään.",
	"config-no-cli-uri": "<strong>Varoitus:</strong> <code>--scriptpath</code> määrittämättä, käytetään oletusta: <code>$1</code>",
	"config-using-server": "Palvelimen nimenä käytetään \"<nowiki>$1</nowiki>\".",
	"config-using-uri": "Palvelinen URL-osoitteena käytetään \"<nowiki>$1$2</nowiki>\".",
	"config-uploads-not-safe": "<strong>Varoitus:</strong> Tiedostojen lähetyshakemistoa <code>$1</code> ei ole suojattu haitalliselta koodilta. MediaWiki tarkistaa kaikki lähetetyt tiedostot, mutta suosittelemme toimimaan ohjeen [https://www.mediawiki.org/wiki/Special:MyLanguage/Manual:Security#Upload_security close this security vulnerability] mukaan ennen kuin tiedostojen lähetys otetaan käyttöön.",
	"config-no-cli-uploads-check": "<strong>Varoitus:</strong> Tiedostojen lähetyshakemistoa (<code>$1</code>) ei ole tarkistettu haavoittuvuuksien varalta komentoriviasennuksen aikana.",
	"config-suhosin-max-value-length": "Suhosin on asennettu ja se rajoittaa GET-parametrin <code>length</code> $1 tavuun.\nMediaWikin ResourceLoader-komponentti pystyy toimimaan tämän kanssa, mutta ohjelmiston suorituskyky heikkenee.\nMikäli mahdollista, aseta muuttuja <code>suhosin.get.max_value_length</code> arvoon 1024 (tai suurempaan) tiedostossa <code>php.ini</code> ja aseta myös <code>$wgResourceLoaderMaxQueryLength</code> samaksi arvoksi tiedostossa <code>LocalSettings.php</code>.",
	"config-db-type": "Tietokannan tyyppi:",
	"config-db-host": "Tietokantapalvelin:",
	"config-db-host-help": "Jos tietokantapalvelimesi sijaitsee eri palvelimella, syötä palvelimen nimi tai ip-osoite tähän.\n\nJos käytössäsi on ulkoinen palveluntarjoaja, pitäisi palvelimen nimen löytyä yrityksen ohjesivuilta.\n\nJos käytät MySQL:ää, ei palvelimen nimi \"localhost\" välttämättä toimi. Tässä tapauksessa koita käyttää osoitetta 127.0.0.1.\n\nJos käytät PostgreSQL:ää, jätä tämä kenttä tyhjäksi.",
	"config-db-wiki-settings": "Identifioi tämä wiki",
	"config-db-name": "Tietokannan nimi (ei väliviivoja):",
	"config-db-name-help": "Valitse wikiäsi kuvaava nimi.\nNimessä ei saa olla välilyöntejä.\n\nMikäli et pysty itse hallitsemaan tietokantojasi, pyydä palveluntarjoajaasi luomaan tietokanta tai tee se palveluntarjoajasi hallintapaneelissa.",
	"config-db-install-account": "Asennuksessa käytettävä käyttäjätunnus",
	"config-db-username": "Tietokannan käyttäjänimi:",
	"config-db-password": "Tietokannan salasana:",
	"config-db-install-username": "Syötä käyttäjänimi, jota käytetään muodostettaessa yhteys tietokantaan asennuksen aikana.\nTämä ei ole MediaWiki-tunnuksen käyttäjänimi; tämä on tietokannan käyttäjänimi.",
	"config-db-install-password": "Syötä salasana, jota käytetään muodostettaessa yhteys tietokantaan asennuksen aikana.\nTämä ei ole MediaWiki-tunnuksen salasana; tämä on tietokannan salasana.",
	"config-db-install-help": "Anna käyttäjänimi ja salasana, joita käytetään asennuksen aikana.",
	"config-db-account-lock": "Käytä samaa tunnusta ja salasanaa myös asennuksen jälkeen",
	"config-db-wiki-account": "Käyttäjätunnus normaaliin käyttöön",
	"config-db-wiki-help": "Syötä käyttäjänimi ja salasana joita käytetään muodostettaessa yhteys tietokantaan käytettäessä wikiä normaalisti.\nJos tiliä ei ole olemassa ja asennuksessa käytettävällä tilillä on riittävät käyttöoikeudet, tämä käyttäjätili luodaan käyttöoikeuksilla jotka vähintään tarvitaan wikiä varten.",
	"config-db-prefix": "Tietokantataulujen etuliite (ei väliviivoja):",
	"config-db-prefix-help": "Jos tietokantaa käytetään useammalle wikille tai MediaWikille ja muille sovelluksille, suositellaan käytettäväksi tauluissa etuliitettä, joilla ne erotetaan toisistaan ja vältetään näin virheitä.\nÄlä käytä välilyöntejä.\n\nYleensä tämä kenttä jätetään tyhjäksi.",
	"config-mysql-old": "MediaWiki tarvitsee MySQL:n version $1 tai uudemman. Nykyinen versio on $2.",
	"config-mariadb-old": "MediaWiki tarvitsee MariaDB:n version $1 tai uudemman. Nykyinen versio on $2.",
	"config-db-port": "Tietokannan portti:",
	"config-db-schema": "MediaWikin rakenne (ei väliviivoja):",
	"config-db-schema-help": "Tämä rakenne on normaalisti toimiva.\nMuuta rakennetta vain, mikäli on pakko ja tiedät, mitä teet.",
	"config-pg-test-error": "Tietokantaan <strong>$1</strong> ei saada yhteyttä: $2",
	"config-sqlite-dir": "SQLiten datahakemisto:",
	"config-sqlite-dir-help": "SQLite tallentaa kaiken sisällön yhteen tiedostoon.\n\nPalvelimen pitää pystyä kirjoittamaan tietoa hakemistoon asennuksen aikana.\n\nHakemiston <strong>ei</strong> tulisi olla nähtävissä www-selaimella. Siksi hakemisto on eri kuin missä PHP-tiedostot sijaitsevat.\n\nAsennusohjelma luo <code>.htaccess</code>-tiedoston, mutta jos sen luomisessa ilmenee ongelmia joku voi päästä käsiksi tietokantaasi. \nTietokannassa on kaikki sähköpostiosoitteet, salasanat, poistetut versiot ja kaikki muu tieto, joka ei näy wikissä.\n\nSuosittelemme tallentamaan tietokannan eri hakemistoon, esimerkiksi <code>/var/lib/mediawiki/yourwiki</code>.",
	"config-type-mysql": "MariaDB, MySQL tai yhteensopiva",
	"config-type-postgres": "PostgreSQL",
	"config-type-sqlite": "SQLite",
	"config-support-info": "MediaWiki tukee seuraavia tietokantajärjestelmiä:\n\n$1\n\nJos et näe tietokantajärjestelmää, jota yrität käyttää, listattuna alhaalla, seuraa yläpuolella olevia ohjeita tuen aktivoimiseksi.",
	"config-dbsupport-mysql": "* [{{int:version-db-mariadb-url}} MariaDB] on MediaWikin ensisijainen kohde ja se on myös parhaiten tuettu. MediaWiki voi myös käyttää [{{int:version-db-mysql-url}} MySQL]- sekä [{{int:version-db-percona-url}} Percona Server] -järjestelmiä, jotka ovat MariaDB-yhteensopivia. ([https://www.php.net/manual/en/mysqli.installation.php Miten PHP käännetään MySQL-tuella])",
	"config-dbsupport-postgres": "* [{{int:version-db-postgres-url}} PostgreSQL] on suosittu avoimen lähdekoodin tietokantajärjestelmä vaihtoehtona MySQL:lle. ([https://www.php.net/manual/en/pgsql.installation.php Miten PHP käännetään PostgreSQL-tuella])",
	"config-dbsupport-sqlite": "* [{{int:version-db-sqlite-url}} SQLite] on kevyt tietokantajärjestelmä, jota tuetaan hyvin. ([https://www.php.net/manual/en/pdo.installation.php Miten PHP käännetään SQLite-tuella], käyttää PDO:ta)",
	"config-header-mysql": "MariaDB/MySQL-asetukset",
	"config-header-postgres": "PostgreSQL-asetukset",
	"config-header-sqlite": "SQLite-asetukset",
	"config-invalid-db-type": "Virheellinen tietokantatyyppi",
	"config-missing-db-name": "\"{{int:config-db-name}}\" on pakollinen.",
	"config-missing-db-host": "\"{{int:config-db-host}}\" on pakollinen.",
	"config-invalid-db-name": "”$1” ei kelpaa tietokannan nimeksi.\nKäytä ainoastaan kirjaimia (a-z, A-Z), numeroita (0-9), alaviivoja (_) ja tavuviivoja (-).",
	"config-invalid-db-prefix": "”$1” ei kelpaa tietokannan etuliitteeksi.\nKäytä ainoastaan kirjaimia (a-z, A-Z), numeroita (0-9), alaviivoja (_) ja tavuviivoja (-).",
	"config-connection-error": "$1.\n\nTarkista isäntä, käyttäjänimi, salasana ja yritä uudestaan. Jos käytät \"localhost\" tietokannan isäntänä, kokeile käyttää \"127.0.0.1\" sen sijaan (tai toisinpäin).",
	"config-invalid-schema": "Virheellinen skeema MediaWikille \"$1\".\nKäytä pelkkiä ASCII-kirjaimia (a-z, A-Z), numeroita (0-9) ja alaviivoja (_).",
	"config-postgres-old": "MediaWiki tarvitsee PostgreSQL:n version $1 tai uudemman. Nykyinen versio on $2.",
	"config-sqlite-name-help": "Valitse nimi, joka yksilöi tämän wikin.\nÄlä käytä välilyöntejä tai viivoja.\nNimeä käytetään SQLite-tietokannan tiedostonimessä.",
	"config-sqlite-mkdir-error": "Virhe luodessa datahakemistoa \"$1\".\nTarkista sijainti ja yritä uudelleen.",
	"config-sqlite-dir-unwritable": "Hakemistoon ”$1” kirjoittaminen epäonnistui.\nMuuta hakemiston käyttöoikeuksia siten, että palvelinohjelmisto voi kirjoittaa siihen ja yritä uudelleen.",
	"config-sqlite-connection-error": "$1.\n\nTarkista tietohakemiston ja tietokannan nimi alla ja yritä uudelleen.",
	"config-sqlite-readonly": "Tiedostoon <code>$1</code> ei voi kirjoittaa.",
	"config-sqlite-cant-create-db": "Tietokantatiedostoa <code>$1</code> ei voitu luoda.",
	"config-sqlite-fts3-downgrade": "PHP:stä puuttuu FTS3-tuki. Poistetaan ominaisuus käytöstä tietokantatauluista.",
	"config-can-upgrade": "Tietokanta sisältää jo MediaWiki-tauluja.\nPäivitä ne MediaWiki-versioon $1 painamalla <strong>Jatka</strong>.",
	"config-upgrade-done": "Päivitys valmis.\n\nVoit [$1 aloittaa wikin käytön].\n\nNapsauta alla olevaa painiketta, jos haluat luoda uudelleen <code>LocalSettings.php</code>-tiedoston.\nTämä '''ei ole suositeltavaa''', jos wikissäsi ei ole ongelmia.",
	"config-upgrade-done-no-regenerate": "Päivitys valmis.\n\nVoit [$1 aloittaa wikin käytön].",
	"config-regenerate": "Luo LocalSettings.php uudelleen →",
	"config-show-table-status": "Kysely <code>SHOW TABLE STATUS</code> epäonnistui!",
	"config-unknown-collation": "<strong>Varoitus:</strong> Tietokanta käyttää tunnistamatonta lajittelua.",
	"config-db-web-account": "Tietokantatunnus verkkokäyttöön",
	"config-db-web-help": "Valitse käyttäjänimi ja salasana joita palvelin käyttää muodostaessaan yhteyttä tietokantapalvelimeen wikin normaalin toiminnan aikana.",
	"config-db-web-account-same": "Käytä samaa tunnusta kuin asennuksessa",
	"config-db-web-create": "Luo tunnus, jos sitä ei ole jo olemassa",
	"config-db-web-no-create-privs": "Tunnuksella, jota käytetään asennuksessa ei ole oikeuksia luoda uutta tunnusta.\nTähän määriteltävä tunnus täytyy olla jo olemassa.",
	"config-mysql-engine": "Tallennusmoottori",
	"config-mysql-innodb": "InnoDB (suositeltu)",
	"config-site-name": "Wikin nimi:",
	"config-site-name-help": "Tämä näkyy selaimen otsikkona ja muissa kohdissa.",
	"config-site-name-blank": "Kirjoita sivuston nimi.",
	"config-project-namespace": "Projektinimiavaruus:",
	"config-ns-generic": "Projekti",
	"config-ns-site-name": "Sama kuin wikin nimi: $1",
	"config-ns-other": "Muu (määritä)",
	"config-ns-other-default": "MinunWiki",
	"config-project-namespace-help": "Wikipedian esimerkkiä seuraten monien wikien käytäntösivut ovat erillään sisältösivuista '''projektinimiavaruudessa'''.\nTämän nimiavaruuden kaikki sivujen nimet alkavat etuliitteellä, jonka voit määrittää tässä.\nYleensä tämä etuliite pohjautuu wikin nimeen, mutta siinä ei saa olla välimerkkejä kuten \"#\" tai \":\".",
	"config-ns-invalid": "Määritelty nimiavaruus \"<nowiki>$1</nowiki>\" on virheellinen.\nSyötä joku muu nimiavaruus.",
	"config-ns-conflict": "Määritelty nimiavaruus \"<nowiki>$1</nowiki>\" on ristiriidassa MediaWikin oletusnimiavaruuksien kanssa.\nSyötä joku muu nimiavaruus.",
	"config-admin-box": "Ylläpitäjän tunnus",
	"config-admin-name": "Käyttäjänimesi:",
	"config-admin-password": "Salasana:",
	"config-admin-password-confirm": "Salasana uudelleen:",
	"config-admin-help": "Syötä käyttäjänimi tähän, esimerkiksi \"Matti Meikäläinen\".\nTätä nimeä käytetään kirjauduttaessa wikiin.",
	"config-admin-name-blank": "Anna ylläpitäjän käyttäjänimi.",
	"config-admin-name-invalid": "Annettu nimi \"<nowiki>$1</nowiki>\" on virheellinen.\nSyötä toinen nimi.",
	"config-admin-password-blank": "Syötä ylläpitäjän salasana.",
	"config-admin-password-mismatch": "Antamasi salasanat eivät täsmää.",
	"config-admin-email": "Sähköpostiosoite:",
	"config-admin-email-help": "Syötä sähköpostiosoite johon vastaanotetaan viestit muilta wikin käyttäjiltä, nollataan salasana ja ilmoitetaan tarkkailulistalla olevista sivuista. Kenttä voidaan jättää myös tyhjäksi.",
	"config-admin-error-user": "Sisäinen virhe luodessa ylläpitäjää nimellä \"<nowiki>$1</nowiki>\".",
	"config-admin-error-password": "Sisäinen virhe asetettaessa salasanaa ylläpitäjälle \"<nowiki>$1</nowiki>\":\n<pre>$2</pre>",
	"config-admin-error-password-invalid": "Virheellinen wikin ylläpitäjän salasana: $1",
	"config-admin-error-bademail": "Annoit virheellisen sähköpostiosoitteen.",
	"config-subscribe": "Liity [https://lists.wikimedia.org/postorius/lists/mediawiki-announce.lists.wikimedia.org/ päivityssähköpostilistalle].",
	"config-subscribe-help": "Tällä harvoin käytettävällä sähköpostilistalla julkaistaan päivitysilmoituksia ja turvallisuuspäivityksiä.\nLiittymistä listalle suositellaan samoin kuin päivittämään MediaWiki kun uusi versio julkaistaan.",
	"config-subscribe-noemail": "Yritit liittyä päivityssähköpostilistalle antamatta sähköpostiosoitetta.\nSyötä sähköpostiosoite jos haluat liittyä listalle.",
	"config-pingback": "Jaa tietoa tästä asennuksesta MediaWikin kehittäjien kanssa. [https://foundation.wikimedia.org/wiki/MediaWiki_Pingback_Privacy_Statement Tietosuojakäytäntö].",
	"config-almost-done": "Olet jo lähes valmis!\nVoit ohittaa jäljellä olevat määritykset ja asentaa wikin juuri nyt.",
	"config-optional-continue": "Säädä lisää asetuksia.",
	"config-optional-skip": "Nyt riittää, asenna wiki näillä tiedoilla.",
	"config-profile": "Käyttäjäprofiilin oikeudet:",
	"config-profile-wiki": "Avoin wiki",
	"config-profile-no-anon": "Tunnuksen luonti vaaditaan",
	"config-profile-fishbowl": "Vain hyväksytyt muokkaajat",
	"config-profile-private": "Yksityinen wiki",
	"config-profile-help": "Wikit toimivat parhainten, kun annat niin monen ihmisen muokata niitä kuin mahdollista.\nMediaWikissä on helppoa esikatsella tuoreita muutoksia ja palauttaa kaiken vahingon, joita naiivit tai ilkeät käyttäjät tekevät.\n\nKuitenkin, monet ovat löytäneet MediaWikin hyödylliseksi monissa eri tehtävissä, ja joskus se ei ole helppoa vakuuttaa kaikkia wiki-tien eduista.\nJoten sinun pitää valita,\n\n<strong>{{int:config-profile-wiki}}</strong> -malli sallii kaikkien muokata, jopa ilman sisäänkirjautumista.\nWiki jossa <strong>{{int:config-profile-no-anon}}</strong> antaa lisävelvollisuutta, mutta saattaa estää vapaaehtoisia avustajia.\n\n<strong>{{int:config-profile-fishbowl}}</strong> skenaario sallii hyväksyttyjen käyttäjien muokata, mutta julkiset voivat nähdä sivut, mukaanlukien historia,\n<strong>{{int:config-profile-private}}</strong> sallii vain hyväksyttyjen käyttäjien nähdä ja muokata sivuja.\n\nMonimutkaisempia käyttöoikeuksien kokoonpanoja saatavilla asennuksen jälkeen, katso [https://www.mediawiki.org/wiki/Special:MyLanguage/Manual:User_rights relevant manual entry].",
	"config-license": "Tekijänoikeus ja lisenssi:",
	"config-license-none": "Ei lisenssin alatunnistetta",
	"config-license-cc-by-sa": "Creative Commons Nimeä-JaaSamoin",
	"config-license-cc-by": "Creative Commons Nimeä",
	"config-license-cc-by-nc-sa": "Creative Commons Nimeä-EiKaupallinen-JaaSamoin",
	"config-license-cc-0": "Creative Commons Zero (Public Domain)",
	"config-license-gfdl": "GNU Free Documentation -lisenssi 1.3 tai uudempi",
	"config-license-pd": "Public domain",
	"config-license-cc-choose": "Valitse mukautettu Creative Commons -lisenssi",
	"config-license-help": "Monet julkiset wikit käyttävät muokkauksiin [https://freedomdefined.org/Definition vapaata lisenssiä].\nTämä auttaa luomaan yhteisöllisen omistajuuden tunteen ja kannustaa pitkäkestoiseen muokkaamiseen.\nSe ei ole yleensä tarpeen yksityiselle tai yrityksen wikille.\n\nJos haluat pystyä käyttämään tekstiä Wikipediasta, ja haluat Wikipedian pystyvän hyväksymään wikistäsi kopioitua tekstiä, sinun tulisi valita <strong>{{int:config-license-cc-by-sa}}</strong>.\n\nWikipedia käytti aiemmin GNU Free Documentation Licenseä.\nGFDL on kelvollinen lisenssi, mutta vaikea ymmärtää.\nOn myös vaikeaa käyttää uudelleen GFDL-lisensöityä sisältöä.",
	"config-email-settings": "Sähköpostiasetukset",
	"config-enable-email": "Ota käyttöön sähköpostien lähetys",
	"config-enable-email-help": "Jotta sähköposti toimii, [https://www.php.net/manual/en/mail.configuration.php PHP:n sähköpostiasetukset] täytyy asettaa oikein.\nJos et halua käyttää sähköpostiominaisuuksia, ne voi kytkeä pois päältä tästä.",
	"config-email-user": "Ota käyttöön käyttäjältä käyttäjälle sähköpostit",
	"config-email-user-help": "Salli käyttäjien lähettää sähköpostia toisilleen jos he ovat ottaneet käyttöön toiminnon asetuksissaan.",
	"config-email-usertalk": "Ota käyttöön käyttäjien keskustelusivusta ilmoittaminen",
	"config-email-usertalk-help": "Salli käyttäjien vastaanottaa ilmoituksia käyttäjän keskustelusivulla tapahtuneista muutoksista jos he ovat ottaneet käyttöön toiminnon asetuksissaan.",
	"config-email-watchlist": "Ota käyttöön tarkkailulistasta ilmoittaminen",
	"config-email-watchlist-help": "Salli käyttäjien vastaanottaa ilmoituksia tarkkailulistalla olevilla sivuilla tapahtuneista muutoksista jos he ovat ottaneet käyttöön toiminnon asetuksissaan.",
	"config-email-auth": "Ota käyttöön sähköpostin vahvistaminen",
	"config-email-auth-help": "Kun tämä valinta otetaan käyttöön, käyttäjien tulee vahvistaa sähköpostiosoitteensa linkistä, joka lähetetään heille kun he asettavat tai muuttavat sähköpostiaan.\nVain vahvistettuihin sähköpostiosoitteisiin voidaan lähettää sähköposteja muilta käyttäjiltä tai ilmoituksia muutoksista.\nTämän valinnan käyttöönottoa <strong>suositellaan</strong> julkisissa wikeissä, koska se vähentää mahdollista sähköpostien väärinkäyttöä.",
	"config-email-sender": "Palautusähköpostiosoite:",
	"config-upload-settings": "Kuvien ja tiedostojen lataaminen",
	"config-upload-enable": "Ota käyttöön tiedostojen lataaminen",
	"config-upload-deleted": "Poistettujen tiedostojen hakemisto:",
	"config-upload-deleted-help": "Valitse hakemisto johon poistetut tiedostot arkistoidaan.\nHakemiston ei tulisi olla käytettävissä internetverkosta.",
	"config-personalization-settings": "Personointi",
	"config-logo-preview-main": "Etusivu",
	"config-logo-icon": "Logo (kuvake):",
	"config-logo-icon-help": "Logokuvakkeen tulee olla neliön muotoinen ja mieluiten suurempi kuin 50 kuvapistettä tai SVG.",
	"config-logo-wordmark": "Tekstilogo (valinnainen):",
	"config-logo-tagline": "Slogan (valinnainen)",
	"config-logo-sidebar": "Sivupalkin logo (valinnainen):",
	"config-logo-filedrop": "Pudota kuvatiedosto tähän",
	"config-instantcommons": "Aktivoi Instant Commons",
	"config-instantcommons-help": "[https://www.mediawiki.org/wiki/Special:MyLanguage/InstantCommons Instant Commons] on ominaisuus, joka antaa wikien käyttää kuvia, ääniä ja muuta mediaa [https://commons.wikimedia.org/ Wikimedia Commons] -sivustolta.\nTehdäkseen tämän MediaWiki tarvitsee Internet-yhteyden.\n\nLisätietoja tästä ominaisuudesta, mukaan lukien ohjeet, kuinka sen voi asettaa muille wikeille kuin Wikimedia Commons, löytyy [https://www.mediawiki.org/wiki/Special:MyLanguage/Manual:$wgForeignFileRepos ohjeista].",
	"config-cc-error": "Creative Commons -lisenssinvalitsija ei antanut tulosta.\nSyötä lisenssin nimi manuaalisesti.",
	"config-cc-again": "Valitse uudelleen...",
	"config-cc-not-chosen": "Valitse, minkä Creative Commons -lisenssin haluat ja paina \"proceed\".",
	"config-advanced-settings": "Lisäasetukset",
	"config-cache-none": "Ei välimuistia (toimintoja ei poisteta, mutta voi vaikuttaa nopeuteen suuremmilla wiki-sivustoilla)",
	"config-cache-memcached": "Käytä Memcachedia (vaatii ylimääräistä asennusta ja konfigurointia)",
	"config-memcached-servers": "Memcached-palvelimet:",
	"config-memcached-help": "Luettelo IP-osoitteista Memcachedin käyttöön.\nPitäisi määrittää yksi osoite riviä kohden ja käytettävä portti. Esimerkiksi:\n 127.0.0.1:11211\n 192.168.1.25:1234",
	"config-memcache-needservers": "Valitsit Memcachedin välimuistin tyypiksi, mutta et määrittänyt palvelimia.",
	"config-memcache-badip": "Olet antanut virheellisen IP-osoitteen Memcachedille: $1.",
	"config-memcache-noport": "Et määrittänyt porttia käytettäväksi Memcached-palvelimelle: $1\nJos et tiedä porttia, oletus on 11211.",
	"config-memcache-badport": "Memcachedin porttien numeroiden pitäisi olla välillä $1-$2.",
	"config-extensions": "Laajennukset",
	"config-extensions-help": "Yllä luetellut laajennukset löytyvät <code>./extensions</code> hakemistosta.\n\nNe saattavat vaatia lisäasetuksia, mutta voit ottaa ne käyttöön nyt.",
	"config-skins": "Ulkoasut",
	"config-skins-help": "Seuraavat teemat löydettiin hakemistosta <code>./skins</code>. Ota käyttöön vähintään yksi teema ja aseta se oletukseksi.",
	"config-skins-use-as-default": "Käytä tätä teemaa oletuksena.",
	"config-skins-missing": "Teemoja ei löytynyt; MediaWiki käyttää väliaikaista teemaa, kunnes asennat toimivia.",
	"config-skins-must-enable-some": "Sinut täytyy valita ainakin yksi ulkoasu.",
	"config-skins-must-enable-default": "Oletusteeman pitää olla käytössä.",
	"config-install-alreadydone": "<strong>Varoitus:</strong> MediaWiki on jo asennettu ja yrität asentaa sitä uudestaan.\nSiirry seuraavalle sivulle.",
	"config-install-begin": "Painamalla \"{{int:config-continue}}\", aloitetaan MediaWikin asentaminen. \nJos haluat vielä tehdä muutoksia, paina \"{{int:config-back}}\".",
	"config-install-step-done": "valmis",
	"config-install-step-failed": "epäonnistui",
	"config-install-extensions": "Sisällytetään laajennukset",
	"config-install-database": "Asennetaan tietokantaa",
	"config-install-schema": "Luodaan rakennetta",
	"config-install-pg-schema-not-exist": "PostgreSQL-rakennetta ei ole olemassa.",
	"config-install-pg-schema-failed": "Taulun luominen epäonnistui.\nVarmista, että käyttäjätunnus \"$1\" pystyy kirjoittamaan rakenteeseen \"$2\".",
	"config-install-pg-commit": "Muutoksia tallennetaan",
	"config-install-pg-plpgsql": "Tarkistetaan PL/pgSQL:n kieltä.",
	"config-pg-no-plpgsql": "PL/pgSQL-kieli pitää asentaa tietokantaan $1",
	"config-pg-no-create-privs": "Määrittelemälläsi tilillä ei ole riittävästi oikeuksia luoda tiliä.",
	"config-pg-not-in-role": "Määrittelemäsi web-käyttäjän tili on jo olemassa.\nMäärittelemälläsi käyttäjätilillä ei ole pääkäyttäjäoikeuksia eikä se toimi web-käyttäjän roolissa. Käyttäjätili ei pysty luomaan tarvittavia objekteja.\n\nMediaWiki vaatii, että web-käyttäjän pitää pystyä hallitsemaan tauluja. Anna toinen web-käyttäjätunnus tai klikkaa \"takaisin\" ja määrittele käyttäjätunnus, joka toimii asennuksessa.",
	"config-install-user": "Luodaan tietokannalle käyttäjää",
	"config-install-user-alreadyexists": "Käyttäjä $1 on jo olemassa",
	"config-install-user-create-failed": "Käyttäjän \"$1\" luonti epäonnistui: $2",
	"config-install-user-grant-failed": "Käyttöoikeuksien myöntäminen käyttäjälle \"$1\" epäonnistui: $2",
	"config-install-user-missing": "Määriteltyä käyttäjää \"$1\" ei ole olemassa.",
	"config-install-user-missing-create": "Määriteltyä käyttäjää \"$1\" ei ole olemassa.\nValitse alapuolelta \"lisää tili\" jos haluat että se luodaan.",
	"config-install-logo-blank": "Anna kelvollinen logon URL.",
	"config-install-restore-services": "Palautetaan mediawiki-palveluja",
	"config-install-tables": "Luodaan tauluja, vaihe yksi",
	"config-install-tables-exist": "<strong>Varoitus:</strong> MediaWiki taulut ovat jo olemassa.\nOhitetaan taulujen luonti.",
	"config-install-tables-failed": "<strong>Virhe:</strong> Taulujen luominen epäonnistui seuraavaan virheen takia: $1",
	"config-install-tables-manual": "Luodaan tauluja, vaihe kaksi",
	"config-install-manual-tables-exist": "<strong>Varoitus:</strong> MediaWikin taulut vaikuttavat olevan jo olemassa.\nOhitetaan luonti.",
	"config-install-manual-tables-failed": "<strong>Virhe:</strong> Taulujen luominen epäonnistui seuraavaan virheen takia: $1",
	"config-install-interwiki": "Luodaan oletustaulua interwikille",
	"config-install-interwiki-list": "Tiedostoa <code>interwiki.list</code> ei voitu lukea.",
	"config-install-interwiki-exists": "<strong>Varoitus:</strong> interwiki-taulussa on jo tietueita, ohitetaan oletuslista.",
	"config-install-stats": "Alustetaan tilastoja",
	"config-install-keys": "Muodostetaan salausavaimia",
	"config-install-updates": "Estä tarpeettomien päivitysten asennus",
	"config-install-updates-failed": "<strong>Virhe:</strong> Päivitysavainten lisääminen taulukoihin epäonnistui seuraavalla virheellä: $1",
	"config-install-sysop": "Luodaan ylläpitäjän käyttäjätunnusta",
	"config-install-subscribe-fail": "Liittyminen [https://lists.wikimedia.org/postorius/lists/mediawiki-announce.lists.wikimedia.org/ mediawiki-announce]-listalle epäonnistui: $1",
	"config-install-subscribe-notpossible": "cURL-ohjelmaa ei ole asennettu eikä <code>allow_url_fopen</code> ole saatavilla.",
	"config-install-mainpage": "Luodaan etusivu oletussisällöllä",
	"config-install-mainpage-exists": "Etusivu on jo olemassa, ohitetaan",
	"config-install-extension-tables": "Luodaan tauluja käyttöönotetuille laajennuksille",
	"config-install-mainpage-failed": "Etusivun lisääminen ei onnistunut: $1",
	"config-install-done": "<strong>Onnittelut!</strong>\nOlet asentanut MediaWikin.\n\nAsennusohjelma on luonut <code>LocalSettings.php</code> -tiedoston.\nSiinä on kaikki MediaWikin asetukset.\n\nLataa tiedosto ja laita se MediaWikin asennushakemistoon (sama kuin missä on index.php). Lataamisen olisi pitänyt alkaa automaattisesti.\n\nMikäli latausta ei tarjottu tai keskeytit latauksen, käynnistä se uudestaan tästä linkistä:\n\n$3\n\n<strong>Huom:</strong> Mikäli et nyt lataa tiedostoa, luotu tiedosto ei ole saatavissa myöhemmin, jos poistut asennuksesta lataamatta sitä.\n\nKun olet laittanut tiedoston oikeaan paikkaan, voit <strong>[$2 mennä wikiisi]</strong>.",
	"config-install-done-path": "<strong>Onnittelut!</strong>\nOlet asentanut MediaWikin.\n\nAsennusohjelma on luonut <code>LocalSettings.php</code> -tiedoston.\nSiinä on kaikki MediaWikin asetukset.\n\nLataa tiedosto ja laita se sijaintiin <code>$4</code>. Lataamisen olisi pitänyt alkaa automaattisesti.\n\nMikäli latausta ei tarjottu tai keskeytit latauksen, käynnistä se uudestaan tästä linkistä:\n\n$3\n\n<strong>Huom:</strong> Mikäli et nyt lataa tiedostoa, luotu tiedosto ei ole saatavissa myöhemmin, jos poistut asennuksesta lataamatta sitä.\n\nKun olet laittanut tiedoston oikeaan paikkaan, voit <strong>[$2 mennä wikiisi]</strong>.",
	"config-install-success": "MediaWiki on asennettu onnistuneesti. Voit nyt vierailla <$1$2> katsellaksesi wikiäsi. Jos sinulla on kysyttävää, tutustu usein kysyttyjen kysymysten luetteloon: <https://www.mediawiki.org/wiki/Special:MyLanguage/Manual:FAQ> tai käytä jotakin sivulla linkitettyä tukifoorumia.",
	"config-install-db-success": "Tietokanta asennettiin onnistuneesti",
	"config-download-localsettings": "Lataa <code>LocalSettings.php</code>",
	"config-help": "ohje",
	"config-help-tooltip": "Napsauta laajentaaksesi",
	"config-nofile": "Tiedostoa \"$1\" ei löytynyt. Onko se poistettu?",
	"config-extension-link": "Tiesitkö että wiki tukee [https://www.mediawiki.org/wiki/Special:MyLanguage/Manual:Extensions laajennuksia]?\n\nLaajennuksia voi hakea myös [https://www.mediawiki.org/wiki/Special:MyLanguage/Category:Extensions_by_category luokittain].",
	"config-skins-screenshots": "$1 (kuvakaappaukset: $2)",
	"config-extensions-requires": "$1 (vaatii $2)",
	"config-screenshot": "kuvakaappaus",
	"config-extension-not-found": "Rekisteröintitiedostoa ei löydetty laajennukselle \"$1\"",
	"config-extension-dependency": "Riippuvuusvirhe havaittiin asennettaessa laajennusta \"$1\": $2",
	"mainpagetext": "<strong>MediaWiki on onnistuneesti asennettu.</strong>",
	"mainpagedocfooter": "Lisätietoja wiki-ohjelmiston käytöstä on [https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents käyttöoppaassa].\n\n=== Aloittaminen ===\n\n* [https://www.mediawiki.org/wiki/Special:MyLanguage/Manual:Configuration_settings Asetusten teko-ohjeita]\n* [https://www.mediawiki.org/wiki/Special:MyLanguage/Manual:FAQ MediaWikin FAQ]\n* [https://lists.wikimedia.org/postorius/lists/mediawiki-announce.lists.wikimedia.org/ Sähköpostilista, jolla tiedotetaan MediaWikin uusista versioista]\n* [https://www.mediawiki.org/wiki/Special:MyLanguage/Localisation#Translation_resources Käännä MediaWikiä kielellesi]\n* [https://www.mediawiki.org/wiki/Special:MyLanguage/Manual:Combating_spam Katso, kuinka torjua spämmiä wikissäsi]\n\n=== Asetukset ===\n\nTarkista, että alla olevat taivutusmuodot ovat oikein. Jos eivät, tee tarvittavat muutokset tiedostoon LocalSettings.php seuraavasti:\n $wgGrammarForms['fi']['genitive']['{{SITENAME}}'] = '...';\n $wgGrammarForms['fi']['partitive']['{{SITENAME}}'] = '...';\n $wgGrammarForms['fi']['elative']['{{SITENAME}}'] = '...';\n $wgGrammarForms['fi']['inessive']['{{SITENAME}}'] = '...';\n $wgGrammarForms['fi']['illative']['{{SITENAME}}'] = '...';\nTaivutusmuodot: {{GRAMMAR:genitive|{{SITENAME}}}} (yön) – {{GRAMMAR:partitive|{{SITENAME}}}} (yötä) – {{GRAMMAR:elative|{{SITENAME}}}} (yöstä) – {{GRAMMAR:inessive|{{SITENAME}}}} (yössä) – {{GRAMMAR:illative|{{SITENAME}}}} (yöhön)."
}
